Bug 1769791 - Invisible part of notification area in Web UI intercepts clicks of some page elements
Summary: Invisible part of notification area in Web UI intercepts clicks of some page ...
Keywords:
Status: RELEASE_PENDING
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Serhii Tsymbaliuk
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-07 13:39 UTC by Serhii Tsymbaliuk
Modified: 2020-09-29 00:18 UTC (History)
7 users (show)

Fixed In Version: ipa-4.6.6-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
test-result.txt (6.75 KB, text/plain)
2020-04-29 11:49 UTC, Mohammad Rizwan
no flags Details
report.html (12.90 KB, text/html)
2020-04-29 11:50 UTC, Mohammad Rizwan
no flags Details

Description Serhii Tsymbaliuk 2019-11-07 13:39:58 UTC
Description of problem:
Invisible part of notification area in Web UI intercepts clicks of some page elements
Also some Web UI tests fails with ElementClickInterceptedException when 2 notification boxes appear.

Version-Release number of selected component (if applicable): all versions

How reproducible: 100%

Steps to Reproduce:
1. open page "Users" in Web UI
2. change page width to ~560px
3. add new user
4. in the moment when notification "User successfully added" appears try to click menu button in the right side

Actual results:
Menu button near notification box isn't clickable.

Expected results:
All elements near notification box should be clickable since it isn't modal.

Additional info: -

Comment 2 Serhii Tsymbaliuk 2019-11-15 09:24:42 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/8120

Comment 4 Florence Blanc-Renaud 2020-01-28 09:55:46 UTC
RHEL-7.8 is already near the end of a Development Phase and development is being wrapped up. This bug is being moved to RHEL 7.9.
If you believe this particular bug should be reconsidered for 7.8, please let us know.

Comment 5 Florence Blanc-Renaud 2020-03-25 10:34:10 UTC
Fixed upstream
ipa-4-6:
https://pagure.io/freeipa/c/6e6223419de9a50f1357fc7478a95cf623bf5a10

Comment 8 Mohammad Rizwan 2020-04-29 11:49:55 UTC
Created attachment 1682883 [details]
test-result.txt

Comment 9 Mohammad Rizwan 2020-04-29 11:50:33 UTC
Created attachment 1682884 [details]
report.html

Comment 10 Mohammad Rizwan 2020-04-29 12:08:02 UTC
Automation passed. Hence marking the bug as verified.


Note You need to log in before you can comment on or make changes to this bug.